我刚刚将Firefox更新到其最新版本,并且与Firefox的IDM集成停止了工作。IDM不再接受Firefox的下载。我该怎么办才能修复它?

我刚刚将Firefox更新到其最新版本,并且与Firefox的IDM集成停止了工作。IDM不再接受Firefox的下载。我该怎么办才能修复它?

1. Mozilla团队每六周更新一次FireFox浏览器,这也是我们团队每六周也更新IDM与FireFox集成的原因。最新版本的IDM确定FireFox浏览器的版本,它将自动安装所需的附加版本。

请确保您已安装最新版本的IDM。

请使用“帮助 – >检查更新…”(或旧版本的“帮助 – >快速更新”)IDM主菜单项。然后请重新启动计算机。IDM需要替换其所有DLL文件要使更改生效。没有重新启动更新将无法正常工作!

2.首次安装IDM后,或者在将IDM更新到具有最新加载项的版本后,IDM将要求重新启动FireFox,以便FireFox 可以找到新的IDM 加载项。当FireFox重新启动时,它会显示以下对话框以确认IDM 加载项的安装。您需要单击FireFox选项按钮(图像上的箭头1),然后单击关于新扩展的注释(图像上的箭头2)。

然后按“启用”按钮:

也许你在FireFox重启期间没有注意这个对话框,也没有启用“IDM集成”插件。在这种情况下,您需要手动启用它。按FireFox选项按钮(图像上的箭头1),然后按“附加组件”菜单项(图像上的箭头2)。 应该打开

Firefox附加组件菜单

Firefox附加组件菜单

“加载项管理器”窗口。单击“扩展”选项卡(箭头1的图像),并找到“IDM集成模块”(互联网下载管理器集成附加的Mozilla的)。如果禁用,(图像上的箭头2)并重新启动FireFox。

Firefox附加组件窗口

Firefox附加组件窗口

3.新旧版本的IDM扩展

3.1。请注意,由于FireFox 40的全局变化,我们必须使用新ID为FireFox创建一个新的附加组件。旧版附加组件具有“IDM CC”名称,而新版本具有 “IDM集成”名称。 同时请注意,因为在全球变化的火狐53,我们不得不做出一个新的“IDM集成模块”附加的火狐。

目前,最古老的附加组件是“IDM CC”,它支持FireFox 浏览器,从版本1.5到版本26。
下一个附加组件是“IDM集成”,它支持从版本27到版本52的FireFox浏览器。 最新的附加组件是“IDM集成模块”。它支持53 版本的FireFox浏览器。

请注意,IDM分发中包含所有三个版本的加载项,并且在加载项列表中的FireFox设置中, 您可能会看到两个或三个IDM 加载项:旧的和新的加载项。 3.2。如果您手动安装了旧的“IDM CC”插件,则应按下旁边的“删除”按钮: 3.3。如果我们的插件在FireFox中不可用,您可以手动安装它。按FireFox选项按钮(图像上的箭头1),然后按“附加组件”菜单项(

图像上的箭头2)

单击 “扩展”选项卡(图像上的箭头1)。然后按 “适用于所有附件的工具”齿轮(图像上的箭头2),然后选择 “从文件安装附加组件…”(图像上的箭头3)菜单项。

然后打开IDM文件夹,其中安装了IDM(默认情况下为 “C:\ Program Files(x86)\ Internet Download Manager”)。

这里有3个 XPI文件。它们具有相同的名称,但最后的数字不同。请仔细查看以下内容:
选择 idmmzcc 3。FireFox 53和更新版本。为版本 27到版本 52的FireFox
选择 idmmzcc 2 .xpi。 选择 idmmzcc.xpi(没有编号)的FireFox从版本 1.5到版本 26包括性。 如果您选择了正确的版本, FireFox会显示一个确认设置的对话框。根据浏览器的版本,您可以看到以下对话框,您需要按 “安装”按钮: 或者您需要按下的以下对话框

“添加”按钮:

如果您选择了错误版本的 XPI文件, FireFox将显示错误消息。

如果你不知道你的 FireFox版本,请在这里阅读如何检查。